Skip to main content
`Ctrl`+`K`

# PetscDASetFromOptions

Configures a `PetscDA` object from the options database.

## Synopsis

    PetscErrorCode PetscDASetFromOptions(PetscDA da)

Collective

## Input Parameter

- da - the `PetscDA` context to set up

## See Also

PetscDA: Data Assimilation, `PetscDASetType()`, `PetscObjectOptionsBegin()`

## Level

intermediate

## Location

src/ml/da/interface/petscda.c

## Examples

src/ml/da/tutorials/ex2.c
src/ml/da/tutorials/ex3.c
src/ml/da/tutorials/ex1.c
src/ml/da/tutorials/ex4.c

## Implementations

PetscDASetFromOptions_Ensemble() in src/ml/da/impls/ensemble/daensemble.c
PetscDASetFromOptions_LETKF() in src/ml/da/impls/ensemble/letkf/letkfilter.c

Index of all PetscDA routines
Table of Contents for all manual pages
Index of all manual pages